##
## PackageInfo.g
## Version 3.1.1
## Fri Jun  6 13:11:09 BST 2008
##

SetPackageInfo( rec(
PackageName := "MONOID",
Subtitle := "Computing with transformation monoids, for updates, see www-groups.mcs.st-andrews.ac.uk/~jamesm/monoid/index.html",
Version := "3.1.1",
Date := "06/06/2008",
ArchiveURL := 
          "http://www-groups.mcs.st-andrews.ac.uk/~jamesm/monoid/monoid3p1r1",
ArchiveFormats := ".tar.gz",
Persons := [
  rec( 
    LastName      := "Mitchell",
    FirstNames    := "James",
    IsAuthor      := true,
    IsMaintainer  := true,
    Email         := "jdm3@st-and.ac.uk",
    WWWHome       := "http://www-groups.mcs.st-and.ac.uk/~jamesm",
    PostalAddress := Concatenation( [
                       "Mathematical Institute,",
                       "North Haugh", "St Andrews", "Fife", "KY16 9SS", 
                       "Scotland"] ),
    Place         := "St Andrews",
    Institution   := "University of St Andrews"
  )],
Status := "deposited",

# CommunicatedBy := "Mike Atkinson (St. Andrews)",
# AcceptDate := " Tue Mar 13 16:32:52 GMT 2007 ",

README_URL := 
  "http://www-groups.mcs.st-andrews.ac.uk/~jamesm/monoid/README.txt",
PackageInfoURL := 
  "http://www-groups.mcs.st-andrews.ac.uk/~jamesm/monoid/PackageInfo.g",

AbstractHTML := 
  "The <span class=\"pkgname\">MONOID</span> package, is a <span class=\"pkgname\">GAP</span>  package  for transformation monoids and related objects.",

PackageWWWHome := "http://www-groups.mcs.st-and.ac.uk/~jamesm/monoid",
               
PackageDoc := rec(
  BookName  := "MONOID",
  Archive := 
      "http://www-groups.mcs.st-andrews.ac.uk/~jamesm/monoid/",
  ArchiveURLSubset := ["doc"],
  HTMLStart := "doc/chap0.html",
  PDFFile   := "doc/manual.pdf",  
  SixFile   := "doc/manual.six",
  LongTitle := "MONOID: computing with transformation semigroups",
  Autoload  := true
),

Dependencies := rec(
  GAP := ">=4.4.10",
  NeededOtherPackages := [],
  SuggestedOtherPackages := [["grape", ">=4.2"], ["gapdoc", ">=1.1"]],
  ExternalConditions := []),
AvailabilityTest := ReturnTrue,
BannerString := Concatenation( 
  "Loading MONOID ", ~.Version, "\n",
  "by ", ~.Persons[1].FirstNames, " ", ~.Persons[1].LastName,
        " (", ~.Persons[1].WWWHome, ")\n",
 "For help, type: ?the monoid package \n" ),
Autoload := false,
TestFile := "tst/testall.g",
Keywords := ["transformation semigroups", "green's relations"]

));